import { GuildMember } from "@/src/models/guildModel";
import { Inventory } from "@/src/models/inventoryModels/inventoryModel";
import { RequestHandler } from "express";

export const getGuildContributionsController: RequestHandler = async (req, res) => {
    const guildId = (await Inventory.findOne({ accountOwnerId: req.query.accountId }, "GuildId"))!.GuildId;
    const guildMember = (await GuildMember.findOne({ guildId, accountId: req.query.buddyId }))!;
    res.json({
        _id: { $oid: req.query.buddyId },
        RegularCreditsContributed: guildMember.RegularCreditsContributed,
        PremiumCreditsContributed: guildMember.PremiumCreditsContributed,
        MiscItemsContributed: guildMember.MiscItemsContributed,
        ConsumablesContributed: [], // ???
        ShipDecorationsContributed: guildMember.ShipDecorationsContributed
    });
};
